package com.dayou.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.dayou.entity.ItemUserLog;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.vo.ItemUserLogVO;
import com.dayou.vo.LogStatVO;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;

/**
 * <p>
 * 项目用户日志 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2022-12-08
 */
public interface ItemUserLogMapper extends CustomBaseMapper<ItemUserLog> {

    List<ItemUserLogVO> logListByUserId(@Param("userId") Long userId,@Param("itemId") Long itemId,@Param("startDate") LocalDate startDate,@Param("endDate") LocalDate endDate);
    List<ItemUserLogVO> logListByDepartmentId(@Param("departmentId") Long departmentId,@Param("itemId") Long itemId ,@Param("startDate") LocalDate startDate,@Param("endDate") LocalDate endDate);

    Page<ItemUserLogVO> page(Page page, @Param("itemUserLogVO") ItemUserLogVO itemUserLog,@Param("userId") Long userId);

    ItemUserLogVO detail(@Param("logId") Long logId);

    List<ItemUserLogVO> getLogs();

    LogStatVO logStat();
}
